/*------------------------------------*\
    #OBJECTS.MEDIA
\*------------------------------------*/

/**
 * Media object.
 * See: http://www.stubbornella.org/content/2010/06/25/the-media-object-saves-hundreds-of-lines-of-code/
 */

$inuit-enable-media--rev: true;

@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

@import '../../../Public/Vendor/inuit-media/objects.media';

/**
 * Default media object.
 */

.#{$inuit-namespace}media,
%#{$inuit-namespace}media {
    @include clearfix;

    img {
        max-width: 100%;
        width: 100%;
        height: auto;
    }
}

// The part of the media object holding textual content
.#{$inuit-namespace}media__body,
%#{$inuit-namespace}media__body {
    display: block;
    margin-bottom: 0;

    > h3,
    > h4 {
        margin-bottom: 1em;
    }

    > :last-child {
        margin-bottom: $drk-base-unit / 2;
    }
}

// The element holding the media itself (e.g. a figure tag with that class)
.#{$inuit-namespace}media__img,
%#{$inuit-namespace}media__img {
    margin: 0 0 5px;
    width: 100%;
    height: auto;

    img {
        width: 100%;
        height: auto;
    }
}

// Media caption
.#{$inuit-namespace}media__caption,
%#{$inuit-namespace}media__caption {
    margin: .5em 0;
    font-size: $inuit-font-size-small;
}

// Wrap the media with a link
.#{$inuit-namespace}media__link,
%#{$inuit-namespace}media__link {
    position: relative;
    display: block;
}

// If the image may be opened in a bigger version, show this zoom icon
.#{$inuit-namespace}media__zoom,
%#{$inuit-namespace}media__zoom {
    @extend %icon--search;

    display: block;
    position: absolute;
    top: 0;
    right: 0;
    padding: 10px;
    width: 60px;
    height: 60px;
    background-color: $drk-color-lightgallery-background;
    background-size: 40px;
    opacity: 0;
    transition: all .2s ease-in-out;

    .o-media__link:hover &,
    .o-media__link:focus & {
        opacity: .8;
    }
}

.#{$inuit-namespace}media__imageholder,
%#{$inuit-namespace}media__imageholder {
    position: relative;
}

.#{$inuit-namespace}media__copyright,
%#{$inuit-namespace}media__copyright {
    background: $drk-color-white-alpha;
    bottom: 0;
    color: $drk-color-black;
    font-size: 11px;
    padding: 5px;
    position: absolute;
    right: 0;
}

/**
 * Image and text stacked on top of each other.
 */
.#{$inuit-namespace}media--stacked,
%#{$inuit-namespace}media--stacked {
    > .#{$inuit-namespace}media__img,
    > %#{$inuit-namespace}media__img {
        float: none;
        margin: 0 0 20px;
        width: 100%;
        height: auto;
        position: relative;

        > img {
            max-width: 100%;
        }

        > a > img {
            max-width: 100%;
        }
    }

    // When using the --stacked variant of the media object
    // media__img--fill let's this media object's image use
    // all the available horizontal space.
    > .#{$inuit-namespace}media__img--fill,
    > %#{$inuit-namespace}media__img--fill {
        > img {
            width: 100%;
        }
/*
        > .#{$inuit-namespace}media__imageholder,
        > %#{$inuit-namespace}media__imageholder {
            max-width: 34.2%;
            float: left;
            padding-right: 2%;

            @media #{$xlarge-up} {
                max-width: 100%;
                float: none;
                padding-right: 0;
            }

            > img {
                padding-top: 25px;

                @media #{$xlarge-up} {
                    padding-top: 0;
                }
            }
        }*/

        > a > img {
            width: 100%;
        }
    }

    > .#{$inuit-namespace}media__body,
    > %#{$inuit-namespace}media__body {
        float: none;
        //margin: drk-quarter($drk-base-unit) 0;
    }
}

/**
 * Image and text, image left-aligned (in text)
 */
.#{$inuit-namespace}media--left,
%#{$inuit-namespace}media--left {

    //display: flex;
    //flex-direction: row;

    > .#{$inuit-namespace}media__img,
    > %#{$inuit-namespace}media__img {
        max-width: 45%;
        margin: 0 20px 10px 0;
        //flex: 1;

        float: left;
    }

    > .#{$inuit-namespace}media__body,
    > %#{$inuit-namespace}media__body {
        display: initial;
        //flex: 2;

    }
}

/**
 * Image and text, image right-aligned (in text)
 */
.#{$inuit-namespace}media--right,
%#{$inuit-namespace}media--right {
    > .#{$inuit-namespace}media__img,
    > %#{$inuit-namespace}media__img {
        float: right;
        max-width: 45%;
        margin: 0 0 10px 20px;
    }

    > .#{$inuit-namespace}media__body,
    > %#{$inuit-namespace}media__body {
        display: initial;
    }
}

/**
 * Primarily used in flyouts. The body should only contain
 * a short headline as its height is only as big as the SVG
 * ($drk-base-unit * 1.5 that is).
 */
.#{$inuit-namespace}media--svg,
%#{$inuit-namespace}media--svg {
    > .#{$inuit-namespace}media__img,
    > %#{$inuit-namespace}media__img {
        height: drk-double($drk-base-unit);
        margin: 0 auto;
        width: drk-double($drk-base-unit);

        > svg {
            height: drk-double($drk-base-unit);
            width: drk-double($drk-base-unit);
        }
    }

    > .#{$inuit-namespace}media__body,
    > %#{$inuit-namespace}media__body {
        //display: table-cell;
        //height: $drk-base-unit*1.5;
        vertical-align: bottom;
    }
}

.#{$inuit-namespace}media--video,
%#{$inuit-namespace}media--video {
    position: relative;
    padding-bottom: 52%; /* 16:9 */
    padding-top: 25px;
    clear: both;
    height: 0;

    iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100% !important;
    }

    video {
        width: 100%;
        height: auto;
    }
}
